package com.zhentao.vo;

import lombok.Data;

@Data
public class Result {
    private Integer code;
    private Object data;
    private String msg;


    public static Result OK(Object data,String msg) {
        Result result = new Result();
        result.setCode(200);
        result.setData(data);
        result.setMsg(msg);
        return result;
    }


    public static Result ERR(Object data,String msg) {
        Result result = new Result();
        result.setCode(400);
        result.setData(data);
        result.setMsg(msg);
        return result;
    }

    public static Result error(Integer code,Object data){
        Result result=new Result();
        result.setCode(code);
        result.setData(data);
        return result;
    }



}
